<?php 
class Zhpy_Core{
	function __construct(){

	}
	function py($str,$ishead=0,$isclose=1){
		$str	=	mb_convert_encoding($str,"gbk","utf8");
		global $pinyins;
		$restr = "";
		$str = trim($str);
		$slen = strlen($str);
		if($slen<2) return $str;
		if(count($pinyins)==0){
			$fp = fopen(dirname(__FILE__)."/zhpycode.db","r");
			while(!feof($fp)){
				$line = trim(fgets($fp));
				$pinyins[$line[0].$line[1]] = substr($line,3,strlen($line)-3);
			}
			fclose($fp);
		}
		for($i=0;$i<$slen;$i++){
			if(ord($str[$i])>0x80)
			{
				$c = $str[$i].$str[$i+1];
				$i++;
				if(isset($pinyins[$c])){
					if($ishead==0) $restr .= $pinyins[$c];
					else $restr .= $pinyins[$c][0];
				}else $restr .= "-";
			}else if( eregi("[a-z0-9]",$str[$i]) ){	$restr .= $str[$i]; }
			else{ $restr .= "-";  }
		}
		if($isclose==0) unset($pinyins);
		$restr=mb_convert_encoding($restr,"utf8","gbk");
		return $restr;
	}
}